#
# Conditional build:
%bcond_without	static_libs	# static libraries
%bcond_without	vala		# Vala API

Summary:	A GTK+ widget for VNC clients
Summary(pl.UTF-8):	Widget GTK+ dla klientów VNC
Name:		gtk-vnc
Version:	1.0.0
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtk-vnc/1.0/%{name}-%{version}.tar.xz
# Source0-md5:	ff2e531525f6200be613643b9ee87fbf
URL:		https://wiki.gnome.org/Projects/gtk-vnc
BuildRequires:	cairo-devel >= 1.2.0
BuildRequires:	cyrus-sasl-devel >= 2.1.26
BuildRequires:	gdk-pixbuf2-devel >= 2.12.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.42.0
BuildRequires:	gnutls-devel >= 3.1.18
BuildRequires:	gobject-introspection-devel >= 0.9.4
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	libgcrypt-devel >= 1.5.0
BuildRequires:	meson >= 0.46.0
BuildRequires:	ninja >= 1.5
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 10.0
BuildRequires:	python3 >= 1:3
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
%{?with_vala:BuildRequires:	vala >= 0.14.0}
BuildRequires:	xorg-lib-libX11-devel >= 1.6.5
BuildRequires:	xz
BuildRequires:	zlib-devel >= 1.2.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gtk-vnc is a VNC viewer widget for GTK+. It is built using coroutines
allowing it to be completely asynchronous while remaining single
threaded.

%description -l pl.UTF-8
gtk-vnc to widget przeglądarki VNC dla GTK+. Jest skonstruowany z
użyciem korutyn, dzięki czemu mogą być w pełni asynchroniczne
pozostając jednowątkowymi.

%package -n gtk3-vnc
Summary:	A GTK+ widget for VNC clients (GTK+ 3.x version)
Summary(pl.UTF-8):	Widget GTK+ dla klientów VNC (wersja GTK+ 3.x)
Group:		X11/Libraries
Requires:	cairo >= 1.2.0
Requires:	gtk+3 >= 3.0.0
Requires:	libgvnc = %{version}-%{release}
Requires:	xorg-lib-libX11 >= 1.6.5

%description -n gtk3-vnc
gtk-vnc is a VNC viewer widget for GTK+. It is built using coroutines
allowing it to be completely asynchronous while remaining single
threaded.

This package contains version for GTK+ 3.x.

%description -n gtk3-vnc -l pl.UTF-8
gtk-vnc to widget przeglądarki VNC dla GTK+. Jest skonstruowany z
użyciem korutyn, dzięki czemu mogą być w pełni asynchroniczne
pozostając jednowątkowymi.

Ten pakiet zawiera wersję dla GTK+ 3.x.

%package -n gtk3-vnc-devel
Summary:	Header files for gtk-vnc library (GTK+ 3.x version)
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gtk-vnc (wersja dla GTK+ 3.x)
Group:		X11/Development/Libraries
Requires:	cairo-devel >= 1.2.0
Requires:	gtk+3-devel >= 3.0.0
Requires:	gtk3-vnc = %{version}-%{release}
Requires:	libgcrypt-devel >= 1.5.0
Requires:	libgvnc-devel = %{version}-%{release}
Requires:	xorg-lib-libX11-devel >= 1.6.5

%description -n gtk3-vnc-devel
Header files for gtk-vnc library (GTK+ 3.x version).

%description -n gtk3-vnc-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gtk-vnc (wersja dla GTK+ 3.x).

%package -n gtk3-vnc-static
Summary:	Static gtk-vnc library (GTK+ 3.x version)
Summary(pl.UTF-8):	Statyczna biblioteka gtk-vnc (wersja dla GTK+ 3.x)
Group:		X11/Development/Libraries
Requires:	gtk3-vnc-devel = %{version}-%{release}
Requires:	libgvnc-static = %{version}-%{release}

%description -n gtk3-vnc-static
Static gtk-vnc library (GTK+ 3.x version).

%description -n gtk3-vnc-static -l pl.UTF-8
Statyczna biblioteka gtk-vnc (wersja dla GTK+ 3.x).

%package -n vala-gtk3-vnc
Summary:	Vala API for gtk-vnc library (GTK+ 3.x version)
Summary(pl.UTF-8):	API języka Vala dla biblioteki gtk-vnc (wersja dla GTK+3)
Group:		Development/Languages
Requires:	gtk3-vnc-devel = %{version}-%{release}
Requires:	vala-libgvnc = %{version}-%{release}
%if "%{_rpmversion}" >= "4.6"
BuildArch:	noarch
%endif

%description -n vala-gtk3-vnc
Vala API for gtk-vnc library (GTK+ 3.x version).

%description -n vala-gtk3-vnc -l pl.UTF-8
API języka Vala dla biblioteki gtk-vnc (wersja dla GTK+3).

%package -n libgvnc
Summary:	A library for VNC clients
Summary(pl.UTF-8):	Biblioteka dla klientów VNC
Group:		X11/Libraries
Requires:	cyrus-sasl-libs >= 2.1.26
Requires:	gdk-pixbuf2 >= 2.12.0
Requires:	glib2 >= 1:2.42.0
Requires:	gnutls >= 3.1.18
Requires:	libgcrypt >= 1.5.0
Requires:	pulseaudio-libs >= 10.0
Requires:	zlib >= 1.2.5

%description -n libgvnc
A library for VNC clients.

%description -n libgvnc -l pl.UTF-8
Biblioteka dla klientów VNC.

%package -n libgvnc-devel
Summary:	Header files for libgvnc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgvnc
Group:		X11/Development/Libraries
Requires:	cyrus-sasl-devel >= 2.1.26
Requires:	gdk-pixbuf2-devel >= 2.12.0
Requires:	glib2-devel >= 1:2.42.0
Requires:	gnutls-devel >= 3.1.18
Requires:	libgcrypt-devel >= 1.5.0
Requires:	libgvnc = %{version}-%{release}
Requires:	zlib-devel >= 1.2.5

%description -n libgvnc-devel
Header files for libgvnc library.

%description -n libgvnc-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgvnc.

%package -n libgvnc-static
Summary:	Static libgvnc library
Summary(pl.UTF-8):	Statyczna biblioteka libgvnc
Group:		X11/Development/Libraries
Requires:	libgvnc-devel = %{version}-%{release}

%description -n libgvnc-static
Static libgvnc library.

%description -n libgvnc-static -l pl.UTF-8
Statyczna biblioteka libgvnc.

%package -n vala-libgvnc
Summary:	Vala API for libgvnc library
Summary(pl.UTF-8):	API języka Vala dla biblioteki libgvnc
Group:		Development/Languages
Requires:	libgvnc-devel = %{version}-%{release}
Requires:	vala
%if "%{_rpmversion}" >= "4.6"
BuildArch:	noarch
%endif

%description -n vala-libgvnc
Vala API for libgvnc library.

%description -n vala-libgvnc -l pl.UTF-8
API języka Vala dla biblioteki libgvnc.

%package tools
Summary:	Command line tools for VNC
Summary(pl.UTF-8):	Narzędzia linii poleceń dla VNC
Group:		Applications/Networking
Requires:	libgvnc = %{version}-%{release}

%description tools
Command line utilities for interacting with VNC servers.

%description tools -l pl.UTF-8
Narzędzia linii poleceń do interakcji z serwerami VNC.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/python$,%{__python},' examples/gvncviewer.py

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

install -d $RPM_BUILD_ROOT%{_examplesdir}/gtk3-vnc-%{version}
cp -p examples/gvncviewer.{c,js,pl,py} $RPM_BUILD_ROOT%{_examplesdir}/gtk3-vnc-%{version}

# not supported by glibc (as of 2.25)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/guc

%find_lang gtk-vnc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n gtk3-vnc -p /sbin/ldconfig
%postun	-n gtk3-vnc -p /sbin/ldconfig

%post	-n libgvnc -p /sbin/ldconfig
%postun	-n libgvnc -p /sbin/ldconfig

%files -n gtk3-vnc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtk-vnc-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtk-vnc-2.0.so.0
%{_libdir}/girepository-1.0/GtkVnc-2.0.typelib

%files -n gtk3-vnc-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtk-vnc-2.0.so
%{_includedir}/gtk-vnc-2.0
%{_datadir}/gir-1.0/GtkVnc-2.0.gir
%{_pkgconfigdir}/gtk-vnc-2.0.pc
%{_examplesdir}/gtk3-vnc-%{version}

%if %{with static_libs}
%files -n gtk3-vnc-static
%defattr(644,root,root,755)
%{_libdir}/libgtk-vnc-2.0.a
%endif

%if %{with vala}
%files -n vala-gtk3-vnc
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gtk-vnc-2.0.deps
%{_datadir}/vala/vapi/gtk-vnc-2.0.vapi
%endif

%files -n libgvnc -f gtk-vnc.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgvnc-1.0.so.*.*.*
%attr(755,root,root) %{_libdir}/libgvncpulse-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgvnc-1.0.so.0
%attr(755,root,root) %ghost %{_libdir}/libgvncpulse-1.0.so.0
%{_libdir}/girepository-1.0/GVnc-1.0.typelib
%{_libdir}/girepository-1.0/GVncPulse-1.0.typelib

%files -n libgvnc-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgvnc-1.0.so
%attr(755,root,root) %{_libdir}/libgvncpulse-1.0.so
%{_datadir}/gir-1.0/GVnc-1.0.gir
%{_datadir}/gir-1.0/GVncPulse-1.0.gir
%{_includedir}/gvnc-1.0
%{_includedir}/gvncpulse-1.0
%{_pkgconfigdir}/gvnc-1.0.pc
%{_pkgconfigdir}/gvncpulse-1.0.pc

%if %{with static_libs}
%files -n libgvnc-static
%defattr(644,root,root,755)
%{_libdir}/libgvnc-1.0.a
%{_libdir}/libgvncpulse-1.0.a
%endif

%if %{with vala}
%files -n vala-libgvnc
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gvnc-1.0.deps
%{_datadir}/vala/vapi/gvnc-1.0.vapi
%{_datadir}/vala/vapi/gvncpulse-1.0.deps
%{_datadir}/vala/vapi/gvncpulse-1.0.vapi
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvnccapture
%{_mandir}/man1/gvnccapture.1*
%changelog
* Thu Jun 25 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtk-vnc.git;a=log;h=master

* Wed Jun 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 869e3c4
- updated to 1.0.0; gtk2 version is gone, see gtk2-vnc.spec for last available version
- removed obsolete pc patch

* Mon Jun 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 45fe56a
- added pc patch (fix gvnc-1.0.pc file)

* Mon Jun 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 3faa79e
- updated to 0.9.0

* Mon Jun 22 2020 Jakub Bogusz <qboosh@pld-linux.org> d9c6ef4
- updated to 0.8.0; binary python binding dropped in favour of GI based
- removed outdated codegen patch

* Sat Mar 24 2018 Marcin Banasiak <marcin.banasiak@gmail.com> a5dd919
- Update to 0.7.2

* Sun May 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 4b9f4da
- updated to 0.7.1

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> 3ce4499
- rebuild with gnutls 3.5
- release 2 (by relup.sh)

* Sat Feb 11 2017 Jakub Bogusz <qboosh@pld-linux.org> b220cc9
- remove unsupported guc locale

* Sat Feb 11 2017 Jakub Bogusz <qboosh@pld-linux.org> aa530db
- updated to 0.7.0

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 2dc5fe4
- noarch vala subpackage

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> bedc2ee
- release 2 (by relup.sh)

* Sat Feb 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 031d174
- updated to 0.5.4
- removed obsolete libtool patch

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 943bb53
- updated gettext BR

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ee1e4e1
- release 2 (by relup.sh)

* Thu Sep 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 2b3f8d2
- updated to 0.5.3

* Thu May 30 2013 Artur Frysiak <artur@frysiak.net> 58b88c7
- No reason for "%requires_eq python-libs", release 2

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 39dad9a
- rel 1

* Fri May 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 81c2a01
- fixed vala BR, added pulseaudio-devel, libgpg-error-devel

* Thu May 02 2013 Artur Frysiak <artur@frysiak.net> 3ef49d5
- Up to 0.5.2

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 4037177
- release 3 (by relup.sh)

